import sys
import os

sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))

from fastapi import FastAPI
from backend.routes import auth
from backend.database import init_db
from core.config import settings

app = FastAPI(title="Shopping App", version="1.0.0", debug=settings.DEBUG)

# initialize database
init_db()

# Include API routes
app.include_router(auth.router, prefix="/auth", tags=["auth"])


@app.get("/")
async def root():
    return {"message": "Welcome to the shopping app api"}
