import os
from dotenv import load_dotenv

# Load environment variables from .env (located outside /app/)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
ENV_PATH = os.path.join(BASE_DIR, ".env")
load_dotenv(ENV_PATH)


class Settings:
    DATABASE_URL: str = os.getenv("DATABASE_URL")
    SECRET_KEY: str = os.getenv("SECRET_KEY")
    DEBUG: bool = os.getenv("DEBUG", "False").lower() in ["true", "1"]

    if DATABASE_URL is None:
        raise ValueError("DATABASE_URL is not set or empty")


settings = Settings()
